Subject: bug#75359: [scratch/elisp-benchmarks] test dependencies

From: Pip Cet <[email-masked]>
Date: Mon, 06 Jan 2025 14:47:44 +0000

"Stefan Monnier" <[email-masked]> writes:

> This said, merging `elb-smie.el` and `elb-scroll.el` would be fine.
> Can't remember why I didn't do that from the start.

Did that on my branch :-)

> [ Not sure what ERT has to do with it, BTW.  ]

See the "make benchmark" discussion, if you really want to :-)

Context: I have extended ERT so it has some minimal benchmarking
functionality, after investigating (twice) whether elisp-benchmarks.el
can't be made to do the job.  My conclusion was that that would take too
much time, we should use ERT and ditch elisp-benchmarks.el, modifying
the benchmarks instead.

Andrea asked for bug reports, I provided some, but my opinion is that
spending further time on elisp-benchmarks.el isn't productive, so I
won't.

Pip